/* eslint-disable */
import React from 'react'
import SVG from 'components/Svg'

export default props => {
  return (
    <SVG viewBox={'0 0 45 45'} {...props}>
      <g>
        <path d="M42.4,25.7V4c0-0.7-0.6-1.3-1.3-1.3h-6.7V1.3C34.4,0.6,33.8,0,33,0c-0.7,0-1.3,0.6-1.3,1.3v1.4h-5.3V1.3 c0-0.7-0.6-1.3-1.3-1.3c-0.7,0-1.3,0.6-1.3,1.3v1.4h-5.3V1.3C18.5,0.6,18,0,17.2,0c-0.7,0-1.3,0.6-1.3,1.3v1.4h-5.3V1.3 C10.6,0.6,10,0,9.3,0C8.6,0,8,0.6,8,1.3v1.4H1.3C0.6,2.7,0,3.3,0,4v34.4c0,0.7,0.6,1.3,1.3,1.3h22c2.1,3.2,5.8,5.3,9.9,5.3 C39.7,45,45,39.7,45,33.1C45,30.3,44,27.7,42.4,25.7z M8,5.4v1.3C8,7.4,8.6,8,9.3,8c0.7,0,1.3-0.6,1.3-1.3V5.4h5.3v1.3 c0,0.7,0.6,1.3,1.3,1.3c0.7,0,1.3-0.6,1.3-1.3V5.4h5.3v1.3c0,0.7,0.6,1.3,1.3,1.3c0.7,0,1.3-0.6,1.3-1.3V5.4h5.3v1.3 C31.7,7.4,32.3,8,33,8c0.7,0,1.3-0.6,1.3-1.3V5.4h5.4v5.3H2.6V5.4H8z M2.6,37.1V13.3h37.1v10c-1.9-1.3-4.2-2-6.6-2 c-4.2,0-7.8,2.2-10,5.4c-0.2-0.1-0.4-0.1-0.6-0.1H20c-0.7,0-1.3,0.6-1.3,1.3c0,0.7,0.6,1.3,1.3,1.3h2c-0.3,0.8-0.5,1.7-0.6,2.6H20 c-0.7,0-1.3,0.6-1.3,1.3c0,0.7,0.6,1.3,1.3,1.3h1.4c0.1,0.9,0.3,1.8,0.6,2.6H2.6z M33.1,42.4c-5.1,0-9.2-4.1-9.2-9.2 c0-5.1,4.1-9.2,9.2-9.2c5.1,0,9.2,4.1,9.2,9.2C42.4,38.2,38.2,42.4,33.1,42.4z"/>
        <path d="M38.4,31.8h-4v-4c0-0.7-0.6-1.3-1.3-1.3c-0.7,0-1.3,0.6-1.3,1.3v5.3c0,0.7,0.6,1.3,1.3,1.3h5.3c0.7,0,1.3-0.6,1.3-1.3 C39.7,32.4,39.1,31.8,38.4,31.8z"/>
        <path d="M12,16H9.3C8.6,16,8,16.6,8,17.3s0.6,1.3,1.3,1.3H12c0.7,0,1.3-0.6,1.3-1.3S12.7,16,12,16z"/>
        <path d="M12,21.3H9.3c-0.7,0-1.3,0.6-1.3,1.3c0,0.7,0.6,1.3,1.3,1.3H12c0.7,0,1.3-0.6,1.3-1.3C13.3,21.9,12.7,21.3,12,21.3z"/>
        <path d="M12,26.5H9.3c-0.7,0-1.3,0.6-1.3,1.3c0,0.7,0.6,1.3,1.3,1.3H12c0.7,0,1.3-0.6,1.3-1.3C13.3,27.1,12.7,26.5,12,26.5z"/>
        <path d="M20,18.6h2.6c0.7,0,1.3-0.6,1.3-1.3S23.3,16,22.6,16H20c-0.7,0-1.3,0.6-1.3,1.3S19.2,18.6,20,18.6z"/>
        <path d="M20,23.9h2.6c0.7,0,1.3-0.6,1.3-1.3c0-0.7-0.6-1.3-1.3-1.3H20c-0.7,0-1.3,0.6-1.3,1.3C18.6,23.3,19.2,23.9,20,23.9z"/>
        <path d="M12,31.8H9.3c-0.7,0-1.3,0.6-1.3,1.3c0,0.7,0.6,1.3,1.3,1.3H12c0.7,0,1.3-0.6,1.3-1.3C13.3,32.4,12.7,31.8,12,31.8z"/>
        <path d="M30.5,18.6h2.6c0.7,0,1.3-0.6,1.3-1.3S33.9,16,33.1,16h-2.6c-0.7,0-1.3,0.6-1.3,1.3S29.8,18.6,30.5,18.6z"/>
      </g>
    </SVG>
  )
}
